Bug 1122691 - Live Merge: Fix engine-side flows
Summary: Live Merge: Fix engine-side flows
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Greg Padgett
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard: storage
Depends On:
Blocks: 1083310
TreeView+ depends on / blocked
 
Reported: 2014-07-23 19:17 UTC by Greg Padgett
Modified: 2016-02-10 19:43 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:29:36 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30605 ovirt-engine-3.5 MERGED core: allow successful retries of Live Merge Never
oVirt gerrit 30606 ovirt-engine-3.5 MERGED core: set active image after Live Merge of active layer Never
oVirt gerrit 30607 ovirt-engine-3.5 MERGED core: sync VM config after Live Merge Never
oVirt gerrit 30608 ovirt-engine-3.5 MERGED core: fix race when removing memory volumes during Live Merge Never

Description Greg Padgett 2014-07-23 19:17:52 UTC
Multiple Live Merge fixes were merged to master and need backporting to 3.5, for the following issues:

- fix race when removing memory volumes during Live Merge
- sync VM config after Live Merge
- set active image after Live Merge of active layer
- allow successful retries of Live Merge

These are basic requirements for the feature to work properly, so testing would be included as part of the parent feature.

Comment 1 Kevin Alon Goldblatt 2014-10-06 14:13:09 UTC
Hi I need additional information in order to procede with this BZ. Please provide the relevant bugs with scenarios to reproduce and verify these scenarios.

Comment 2 Greg Padgett 2014-10-08 15:58:19 UTC
(In reply to Kevin Alon Goldblatt from comment #1)
> Hi I need additional information in order to procede with this BZ. Please
> provide the relevant bugs with scenarios to reproduce and verify these
> scenarios.

Hi Kevin,

In general, without these fixes Live Merge would be completely broken.  However, here are some specific things to verify for the various fixes:

- fix race when removing memory volumes during Live Merge
 => Attempt multiple Live Merges, removing live snapshots that contain memory volumes.  Ensure that the command completes successfully rather than terminating prematurely--that is, the disk and memory snapshots should be removed with no errors in the log.

- sync VM config after Live Merge
 => After Live Merge completes, ensure that the snapshots before and after the removed snapshot show valid disk images, which can be verified by viewing the Disk details from the Virtual Machines > Snapshots section of the web gui.  (Without this fix, disks in the removed snapshot's child would be marked Illegal.)

- set active image after Live Merge of active layer
 => After removing the active layer, ensure the VM can be started and that the Virtual Machines > Snapshot area in the GUI behaves normally (i.e. disks haven't disappeared, data doesn't refuse to load, no exceptions/errors during gui navigation in that area, etc).

- allow successful retries of Live Merge
 => If Live Merge is interrupted (e.g. host is fenced during the merge operation), you should be able to retry the operation from the UI/REST API.  Without this fix, manual cleanup had to be performed if Live Merge did not complete.

Comment 3 Sandro Bonazzola 2014-10-17 12:29:36 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.